Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 18 Apr 2014, 01:12
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
KDE 4.2.0 for testing.
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [14 Posts]  
Author Message
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Thu 23 Jul 2009, 02:03    Post subject:  KDE 4.2.0 for testing.
Subject description: Epic!
 

G'day,
it is with much trepidation that I'm putting this forward.

I have only done limited testing and am aware that a number of dependencies are missing - there were several conflicting dependencies that need sorting before I will update the missing-libs pet package.

Also, I sincerely apologise about the number of files to install - I have not had the chance, or the time to make a sfs package. This project has been very time consuming.

I use MU's newyearspup - micro.
Download from here:
http://puppyisos.org/isos/2009-01-to-06/Newyearspup02/Iso-Micro-release-candidate/NewyearspupMU-02-rc10-micro.iso

There are a number of Petget packages required - see install guide.

I have used the ATI Graphics Card Driver for testing and have not found out weather DRI will be sufficient.

ATTACHED IS AN INSTALL GUIDE - PLEASE USE THIS.

DEPENDENCIES
missinglibs-kde4.pet - http://www.mediafire.com/download.php?wzgzn42trnu

akonadi-1.1.1-i486-1.pet - http://www.mediafire.com/download.php?mjyldf3ga1z
automoc4-0.9.88-i486-1.pet - http://www.mediafire.com/download.php?wmd4n2g4nwm
boost-1.36.0-i486-1.pet - http://www.mediafire.com/download.php?40mhyonezmk
chmlib-0.39-i486-1.pet - http://www.mediafire.com/download.php?d3mazynezgn
clucene-0.9.21b-i486-1.pet - http://www.mediafire.com/download.php?ne0zqmko5zn
djvulibre-3.5.21-i486-1.pet - http://www.mediafire.com/download.php?hnzzhtdwzqm
eigen2-r900905-i486-1.pet - http://www.mediafire.com/download.php?myknnk3gzwd
enchant-1.4.2-i486-1.pet - http://www.mediafire.com/download.php?ttnatwutqww
exiv2-0.17.1-i486-1.pet - http://www.mediafire.com/download.php?tzjdgtnmwmd
gmm-3.1-noarch-1.pet - http://www.mediafire.com/download.php?3tmtekmijj1
gst-plugins-base-0.10.20-i486-1.pet - http://www.mediafire.com/download.php?ytdhvwbooyf
gstreamer-0.10.20-i486-1.pet - http://www.mediafire.com/download.php?tdjitazyejt
ilmbase-1.0.1-486-1.pet - http://www.mediafire.com/download.php?jgjmzm0gxxk
iso-codes-3.5-noarch-1.pet - http://www.mediafire.com/download.php?mbmogq2izmj
libarchive-2.5.5-i486-1.pet - http://www.mediafire.com/download.php?yzoiygdmyyj
libdvdread-4.1.3-i486-1.pet - http://www.mediafire.com/download.php?k4mdw2ythfn
libgphoto2-2.4.1-i486-1.pet - http://www.mediafire.com/download.php?tmdmuzoo1gu
libical-0.42-i486-1.pet - http://www.mediafire.com/download.php?ymlqzimkaim
libmsn-r93-i486-1.pet - http://www.mediafire.com/download.php?zjiynnjirgt
liboil-0.3.14-i486-1.pet - http://www.mediafire.com/download.php?mzmnzqmound
libraw1394-1.3.0-i486-1.pet - http://www.mediafire.com/download.php?myqnyj14ymo
libraw1394-2.0.0-i486-1.pet - http://www.mediafire.com/download.php?gngj0izycgy
libspectre -0.2.1-i486-1.pet - http://www.mediafire.com/download.php?ywnyg2zmdid
libvncserver-0.9.1-i486-1.pet - http://www.mediafire.com/download.php?gxn1iwjmnmm
libxklavier-3.8-i486-1.pet - http://www.mediafire.com/download.php?hmmjmmnmzdo
libzip-0.8-i486-1.pet - http://www.mediafire.com/download.php?nzdzyzmjjyx
openexr-1.6.1-i486-1.pet - http://www.mediafire.com/download.php?jf42gm5ynnl
phonon-4.3.0-i486-1.pet - http://www.mediafire.com/download.php?zegwj2mqyzm
pycups-1.9.42-i486-1.pet - http://www.mediafire.com/download.php?lzwdy2n2zrv
PyQt-4.4.4-i486-1.pet - http://www.mediafire.com/download.php?d55nwjf2huk
qca-2.0.1-i486-1.pet - http://www.mediafire.com/download.php?mzkjddrwmn0
qca-cyrus-sasl-2.0.0_beta3-i486-1.pet - http://www.mediafire.com/download.php?gnufwymjgzj
qca-gnupg-2.0.0_beta3-i486-1.pet - http://www.mediafire.com/download.php?tjmy0tgzkgl
qca-ossl-2.0.0_beta3-i486-1.pet - http://www.mediafire.com/download.php?joq4yjuq25n
qimageblitz-r900905-i486-1.pet - http://www.mediafire.com/download.php?2yjzjkmzmzo
QScintilla-2.3-i486-1.pet - http://www.mediafire.com/download.php?bjyymynmwwy
qt-r912655-i486-1.pet (large) - http://www.mediafire.com/download.php?motnr05jmnj
raptor-1.4.18-i486-1.pet - http://www.mediafire.com/download.php?mdgggnqyjmn
rasqal-0.9.16-i486-1.pet - http://www.mediafire.com/download.php?4dnylmnyqyo
redland-1.0.8-i486-1.pet - http://www.mediafire.com/download.php?m1jfo3um5tz
sip-4.7.9-i486-1.pet - http://www.mediafire.com/download.php?dck5vd3zq4m
soprano-2.1.67-i486-1.pet - http://www.mediafire.com/download.php?ontt5tjf55m
sqlite-3.6.1-i486-1.pet - http://www.mediafire.com/download.php?k4zmywyidj3
strigi-0.6.3-i486-1.pet - http://www.mediafire.com/download.php?mnznxztzjym
xdg-utils-1.0.2-noarch-1.pet - http://www.mediafire.com/download.php?mntmgzgyn2y

MAIN FILES

kdelibs-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?zaiothwebjj
reboot
arts-1.5.10-i486-opt1.pet - http://www.mediafire.com/download.php?t1ndennmhdg
kdebase-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?ijygnyzizfj
kdebase-runtime-4.2.0-i486-1.pet (very large) - http://www.mediafire.com/download.php?0h5kkfnu4y0
kdebase-workspace-4.2.0-i486-1.pet (very large) - http://www.mediafire.com/download.php?qgjd1tmodhn
reboot

desktop-hack.pet - http://www.mediafire.com/download.php?zyxhzjcin0a

extra KDE programmes
kdeaccessibility-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?nte2ynmcti2
kdeadmin-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?wddkyyw0qvm
kdeartwork-4.2.0-i486-1.pet (large) - http://www.mediafire.com/download.php?jznny4ru3tm
kdebindings-4.2.0-i486-1.pet (reqs ruby - see Extra Gear) - http://www.mediafire.com/download.php?izzjnwnlymj
kdeedu-4.2.0-i486-1.pet (very large) - http://www.mediafire.com/download.php?2tyzm5ztzqy
kdegames-4.2.0-i486-1.pet (very large) - http://www.mediafire.com/download.php?2jzwmcvwlqm
kdegraphics-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?mndkzyhhdgm
kdemultimedia-4.2.0-i486-1.pet (reqs taglib see Extra Gear) - http://www.mediafire.com/download.php?yzrkkylnwhz
kdenetwork-4.2.0-i486-2.pet - http://www.mediafire.com/download.php?kmgwmuqmuiz
kdepimlibs-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?mzudmtv2cuz
kdepim-4.2.0-i486-1.pet (large) - http://www.mediafire.com/download.php?jzztyy2mmnc
kdeplasma-addons-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?g4xomidyimj
kdesdk-4.2.0-i486-1.pet (reqs subversion client - see petget) - http://www.mediafire.com/download.php?tzgumqnj3jx
kdetoys-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?m5jn2nzyjmm
kdeutils-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?owu0nzjwmjn
kdevplatform-0.9.85-i486-1.pet - http://www.mediafire.com/download.php?mhkgkymommd
kdevelop-3.9.85-i486-1.pet (reqs subversion + intended to work well with the samba client) - http://www.mediafire.com/download.php?tmhwnlnmwxz
kdewebdev-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?0jynwdhemtt
koffice-1.9.98.5-i486-1.pet (very large) - http://www.mediafire.com/download.php?dmmozm0mmd0

EXTRA GEAR

AMAROK (install these files)
amarok-2.0.1.1-i486-1.pet - http://www.mediafire.com/download.php?nwz2jtfy4km
libgpod-0.6.0.pet - http://www.mediafire.com/download.php?wnomddwlidh
musicextras-0.6.8-noarch-1as.pet - http://www.mediafire.com/download.php?zzmminyegfe
ruby-1.8.6-i486-1.pet (takes a long time to install) - http://www.mediafire.com/download.php?gyx2id0eyjm
ruby_mp3info-0.6.5-noarch-1as.pet - http://www.mediafire.com/download.php?mzjjmynwjjw
taglib-1.4-i486-3.pet - http://www.mediafire.com/download.php?tjyyunke0yr

A few other KDE extras...
guidance-power-manager-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?m1jjtvtqddc
kaudiocreator-r888119-i486-1.pet - http://www.mediafire.com/download.php?jllnmnwmyyn
konq-plugins-4.2.0-i486-1.pet - http://www.mediafire.com/download.php?dwyknmymmnh
ktorrent-3.1.6-i486-1.pet - http://www.mediafire.com/download.php?zdgtjy2fy42
skanlite-10.2_kde4.2.0-i486-1.pet - http://www.mediafire.com/download.php?jmfndttnl2i

I haven't added the mysql files yet as I'm working on the issue of initialising mysql - using MU's posts.

After installing all the files press ctrl-alt-backspace to get to the commandline then enter xwin startkde

Hope this is a start.
Cheers
Martin
kde4-install-guide.tar.gz
Description 
gz

 Download 
Filename  kde4-install-guide.tar.gz 
Filesize  580 Bytes 
Downloaded  446 Time(s) 

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux

Last edited by legendofthor on Thu 23 Jul 2009, 10:03; edited 1 time in total
Back to top
View user's profile Send private message 
dWLkR


Joined: 23 May 2007
Posts: 39

PostPosted: Thu 23 Jul 2009, 02:43    Post subject:  

hi man!

that is good news!

could u pls create a new release (.ISO) based on your install guide? Smile

tia!
Back to top
View user's profile Send private message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Thu 23 Jul 2009, 09:45    Post subject:  

G'day,
Laugh! It isn't fully operational yet! I could if you want a broken puplet. For one thing there appears to be an issue with mysql running as root. Until some clever person comes up with a work around it is my suggestion not to install (or uninstall) akonadi as you will get server errors. But if your a bloodhound and want to solve this issue please keep it going.
I thought it may be that qtsql was not installed - but it made no difference:
http://www.mediafire.com/download.php?iedzazmmnzx

Here is an update for missinglibs pet package - now koffice should be fully operational.
http://www.mediafire.com/download.php?tqkmhlwqtnn

Also, dbus appears to be non-operational. Here are a couple of pets that ttuuxx provided in another post:

http://www.mediafire.com/download.php?nnmwjzzmzym
and
http://www.mediafire.com/download.php?cnlwyzbtmjj
install both of these - soon I will have a desktop-hack package with a script that starts dbus on startup. But I'm tired and need sleep.
Cheers
Martin

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Thu 23 Jul 2009, 10:00    Post subject:  

Ok couldn't sleep - so I did a bit of digging - seems MU has got mysql working - will look into how he did it tomorrow if I get the chance.
Cheers
Martin

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Thu 23 Jul 2009, 19:19    Post subject:  

still unable to get akonadi to recognise mysql and d-bus on the system even though both these systems are "currently running".

tested on MUs Xampp-1.7 sfs - and symlinked to /var (which I believe akonadi looks for mysql)
http://murga-linux.com/puppy/viewtopic.php?search_id=415760427&t=39112

perhaps the path akonadi is looking for these are different - I'm afraid this goes way beyond my understanding. But I will continue to soldier on.

If I get time I will bundle the Dependencies into a sfs to make installation a bit easier; and for testing I will bundle the additional Main Files into an sfs. So there should only be a few packages to install.

Cheers
Martin

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message 
dWLkR


Joined: 23 May 2007
Posts: 39

PostPosted: Fri 24 Jul 2009, 06:29    Post subject:  

legendofthor wrote:
(...)If I get time I will bundle the Dependencies into a sfs to make installation a bit easier; and for testing I will bundle the additional Main Files into an sfs. So there should only be a few packages to install.(...)

thank you very much in advance! Smile
Back to top
View user's profile Send private message 
dWLkR


Joined: 23 May 2007
Posts: 39

PostPosted: Thu 30 Jul 2009, 04:52    Post subject:  

any news m8?! :>
Back to top
View user's profile Send private message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Tue 04 Aug 2009, 03:44    Post subject:  

Very busy - just finished the sfs for deps - needs testing, tweeking then uploading to file share - sorry for the delay.
Cheers
Martin

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message 
triminh

Joined: 19 May 2009
Posts: 45

PostPosted: Sat 29 Aug 2009, 21:30    Post subject:  

Hi!
Can you and everybody create a new release (.ISO) based on your install guide? Please, I need it!
Regard
Thanks!
Back to top
View user's profile Send private message 
Vyse


Joined: 15 Aug 2009
Posts: 30

PostPosted: Mon 31 Aug 2009, 10:36    Post subject:  

I just saw this and decided to give it a try..although I stopped using KDE quite a while ago ( and v4.0 just made me ditch KDE once and for all).
A lot of dependencies are missing...but most of the stuff works OK for normal use. I think i will assemble the dependencies into a .sfs file myself sometime...if I get the time. That should make installation a whole lot easier if I ever wanna install it again.

Great work. Will report my results with mysql.
Back to top
View user's profile Send private message Yahoo Messenger 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Wed 09 Sep 2009, 20:13    Post subject:  

G'day,
I am very time challenged! Now the Linux Users Group's preparations are nearly complete for the first meeting I have a little more time to spend testing.

The akonadi issue is still unresolved - has anyone been able to activate this as root? This seems to be the issue as discussed on the Slackware forums - ppl there were installing kde4.2 as the root user.
Should have an answer regarding the sfs for dependencies by the end of the w'end - then I'll upload to mediafire.
If this proves sucessful will add the additional essential files to the dependency sfs.
If this proves sucessful will take the main file and make an sfs out of them.
If this proves sucessful then will make a complete kde4.2 sfs.
Then if this proves sucessful I'll most likely start on 4.3
Cheers
Martin

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Mon 14 Sep 2009, 22:57    Post subject:  

G'day,
Quick update - dependencies needed a bit more tlc than I expected - so the sfs has been delayed - am looking into a foundation distro iso based on newyearpup-micro so hopefully it won't be too large (aound 300mbs). It's already in Alpha testing now - from there other KDE4.2 applications can be built upon it.
Cheers
Martin

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Thu 24 Sep 2009, 21:00    Post subject:  

G'day,
Sorry people but my tech know-how isn't enough - am unable to get a stable version going this way...
Primarily if I get one service working another service fails to start due to ...I don't know what.
After 50+ hrs on testing and research I have to admit defeat - however I now know soo much more on Linux Systems.
the new KDE4.3 has over 10,000 bug fixes from 4.2 - so I'm dealing with a partially broken system in the first place.
I was going to use this as a base for a Toowoomba Linux Users Group CE distro - may consider 3.5.10.
Well its better to try and fail than never to have tried in the first place.
Again apologies to the Puppy Community.
Cheers
Martin

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 24 Sep 2009, 22:27    Post subject:  

Quote:
however I now know soo much more on Linux Systems.


Extreme Tuxification! Cool

Quote:
I was going to use this as a base for a Toowoomba Linux Users Group CE distro - may consider 3.5.10.


From Linux I learned anything is possible
but not necessarily by me

From Puppy I learned to be flexible
Is KDE the only Window manager suitable for Toowoomba? Smile

Quote:
Well its better to try and fail than never to have tried in the first place.
Again apologies to the Puppy Community.


I bet if you had one evening to create a Toowoomba Linux Users Group CE distro based on Puppy 4.3, you could do it.
Even I could do it.
It would be a great success too.

Bit of Toowoomba graphics and HTML
would be my path Smile

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [14 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1042s ][ Queries: 13 (0.0156s) ][ GZIP on ]